Summary: desktop menus for Vine Linux
Summary(ja): Vine Linux デスクトップメニュー
Name: vine-menus
Version: 3.1
Release: 1%{?_dist_release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
BuildArch: noarch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: gnome-vfs2 < 2.10.0
Conflicts: gnome-menus <= 2.13.5-0vl1
Obsoletes: gnome-vcustom

%description
Contains the desktop menus for Vine Linux

%description -l ja
vine-menus には Vine Linux 用デスクトップメニューが含まれています。

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus
mkdir -p $RPM_BUILD_ROOT%{_datadir}
cp -a menus/*.menu $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/
cp -a applications-merged $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/
cp -a desktop-directories $RPM_BUILD_ROOT%{_datadir}/
cp -a applications $RPM_BUILD_ROOT%{_datadir}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/menus/applications-merged
%{_sysconfdir}/xdg/menus/*.menu
%{_sysconfdir}/xdg/menus/applications-merged/*
%{_datadir}/desktop-directories/*
%{_datadir}/applications/*

%changelog
* Tue Aug 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1-1
- update vine specific menu entry.

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-1
- update menus for GNOME-2.24

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 2.2-1vl5
- applied new versioning policy, spec in utf-8

* Wed Apr 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-0vl1
- fix preferences.menu to remove duplicated entries.

* Wed Mar 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1-0vl1
- update applications.menu
  - exclude KDE applications from 1st menu layer,
    include KDE sub-menus (2nd layer) in each menus.
  - add Gnome-KDE.directory to show KDE icons for KDE menus.

* Wed Mar 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl1
- use customized xdg menus instead of gnome-menus
  - drop LegacyDir desktop menus support
  - add separator between menus and files
  - add advanced settings menu
  - move Vine Linux menu to the end of applications menu
- add Conflicts: gnome-menus <= 2.13.5-0vl1
- add vinebts.desktop

* Thu Apr 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-0vl1
- fixed typo, remove backup files

* Fri Mar 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- build for GNOME-2.10

* Sun Jul 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl1
- fixed typo.

* Sun Jul 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.0-0vl1
- update starthere
- moved Vine desktop-files from gnome-vcustom
- add Obsoletes: gnome-vcustom
- remove server setting menu

* Mon Jun 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.2-0vl1
- update starthere

* Thu Jan  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.1-0vl2
- update desktop-menus

* Mon Dec 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4-0vl1
- update desktop-menus
- modified %%post script to add Categories tag for all desktop files.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3-0vl1
- add menus, .directory, starthere contains

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-0vl3
- modifiy old gnome1 desktop files to add Categories tag.
  ( only for Vine specific file )

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-0vl2
- add Vine.directory

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-0vl1
- initial build for Vine Linux
- **EXPERIMENTAL** not fully customized yet. 


